Updates a Knowledge Source - Cognigy Documentation
Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
PATCH
/ v2.0/ knowledgestores/ {knowledgeStoreId}/ sources/ {sourceId}
Try it
Updates a Knowledge Source
cURL
curl --request PATCH \
--url https://api-trial.cognigy.ai/new/v2.0/knowledgestores/{knowledgeStoreId}/sources/{sourceId} \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"name": "mysource",
"description": "mysource description",
"metaData": {
"tags": [
"tag1"
]
}
}
'
import requests
url = "https://api-trial.cognigy.ai/new/v2.0/knowledgestores/{knowledgeStoreId}/sources/{sourceId}"
payload = {
"name": "mysource",
"description": "mysource description",
"metaData": { "tags": ["tag1"] }
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)
const options = {
method: 'PATCH',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'mysource',
description: 'mysource description',
metaData: {tags: ['tag1']}
})
};
fetch('https://api-trial.cognigy.ai/new/v2.0/knowledgestores/{knowledgeStoreId}/sources/{sourceId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


Response
204 Successfully updated knowledge source
Authorizations
APIKeyHeader
- X-API-Key: string (required) - Supply the API Key in the HTTP-Header
Headers
- Accept: enum
- The Acceptheader specifies the media type that the client expects in the response. Available options:application/json,application/hal+json,application/xml,text/xml,text/csv. The default value isapplication/json.
Path Parameters
- knowledgeStoreId: string (required) - The Id of the KnowledgeStore
- sourceId: string (required) - The Id of the KnowledgeSource
Body
Content-Type: application/json
- name: string - The name of the KnowledgeSource
- description: string - The description about what the knowledge source contains
- status: enum
- Available options: ready,ingesting,disabled - metaData: object - Attributes for metadata.